
Foreman - Feature #4863

API V2 - add puppetclasses format style=list and module_name to base.json.rabl

03/26/2014 09:41 AM - Joseph Magen

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: API   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

changes need for puppet class selection form using angular

Associated revisions

Revision c95aebfb - 04/03/2014 09:50 AM - Joseph Magen

fixes #4863 - API V2 - add puppetclasses format style=list and module_name to base.json.rabl

History

#1 - 03/26/2014 12:43 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

- Target version set to 1.9.0

https://github.com/theforeman/foreman/pull/1327

#2 - 03/26/2014 12:57 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#3 - 03/26/2014 12:57 PM - Dominic Cleal

- Target version changed from 1.8.4 to 1.9.0

#4 - 03/26/2014 12:59 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#5 - 04/01/2014 01:21 PM - Joseph Magen

- Subject changed from API V2 - add puppetclasses format style=list, add collection methods to puppetclasses: available, inherited, added, added

module_name to base.json.rabl to API V2 - add puppetclasses format style=list and module_name to base.json.rabl

https://github.com/theforeman/foreman/pull/1327

#6 - 04/03/2014 10:22 AM - Dominic Cleal

- translation missing: en.field_release set to 4

#7 - 04/03/2014 10:31 AM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c95aebfbe524ebee89e32347c0051034eab3b611.
